# Uses of Interface
org.apache.cxf.endpoint.ClientLifeCycleListener

Packages that use ClientLifeCycleListener
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.endpoint

- ## Uses of ClientLifeCycleListener in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers with parameters of type ClientLifeCycleListener
  Modifier and Type
  Method
  Description
  `void`
  ClientLifeCycleManagerImpl.`registerListener(ClientLifeCycleListener listener)`
  `void`
  ClientLifeCycleManagerImpl.`unRegisterListener(ClientLifeCycleListener listener)`

- ## Uses of ClientLifeCycleListener in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint with parameters of type ClientLifeCycleListener
  Modifier and Type
  Method
  Description
  `void`
  ClientLifeCycleManager.`registerListener(ClientLifeCycleListener listener)`
  `void`
  ClientLifeCycleManager.`unRegisterListener(ClientLifeCycleListener listener)`